Автозапуск процессов

Все вопросы связанные с IRC

Модераторы: Art.i, vasya

Сообщение Sir Michael » Ср сен 05, 2007 1:30 pm

Можно вот так.
Изображение
Sir Michael
 
Сообщений: 29
Зарегистрирован: Ср авг 22, 2007 11:14 am

Сообщение RBKILLER » Ср сен 05, 2007 5:04 pm

Да, и так писал, и через кронтаб задание добавлял (вам спасибо) оно так же в планировщике появлялось, ошибка всегда одна и та же...
Убейся! Понял?
RBKILLER
 
Сообщений: 36
Зарегистрирован: Чт авг 30, 2007 4:44 pm

Сообщение SiNgle » Сб мар 29, 2008 9:05 pm

Как описано выше, я написал скрипт:
#!/bin/sh
case "$1" in
start)
cd /home/ircd/ircd-solarnet
su ircd -c './ircd'
cd /home/psybnc/psybnc
su psybnc -c './psybnc'
cd home/solarnet/data/eggdrop
su data -c './eggdrop'
;;
stop)
killall psybnc
killall ircd
killall eggdrop
;;
esac
Из ircd psybnc eggdrop автозапускается только psybnс. Скажите, где я туплю?
SiNgle
 
Сообщений: 0
Зарегистрирован: Сб мар 29, 2008 8:16 pm
Откуда: Санкт-Петербугр

Сообщение AntMix » Сб мар 29, 2008 11:15 pm

Для начала здесь:
cd /home/ircd/ircd-solarnet/bin/
su ircd -c './ircd'

затем здесь:
cd /home/solarnet/data/eggdrop
su data -c './eggdrop'
AntMix
флудит форум
 
Сообщений: 141
Зарегистрирован: Чт окт 18, 2007 12:23 am
Откуда: Russia, Moscow, Veshnyaki

Сообщение XAOC » Пт апр 04, 2008 4:14 am

Ну вот создал я файл в /usr/local/etc/rc.d содержанием
Код: выделить все
#!/bin/sh
case "$1" in
start)
cd /samp
su samp022svr -c './samp022svr'
;;
stop)
killall samp022svr
;;
esac


где что ещё прописать чтобы приложение запускалось при рестарте ?
XAOC
 
Сообщений: 1
Зарегистрирован: Пт апр 04, 2008 4:06 am

Сообщение garry » Пт апр 04, 2008 1:24 pm

chmod +x ....
garry
Консультант
 
Сообщений: 2241
Зарегистрирован: Сб дек 07, 2002 3:39 pm
Откуда: FirstVDS

Сообщение XAOC » Пт апр 04, 2008 5:11 pm

chmod итак 755, но при ребуте ничего не происходит
XAOC
 
Сообщений: 1
Зарегистрирован: Пт апр 04, 2008 4:06 am

Сообщение Stuk » Чт апр 10, 2008 3:11 pm

ircd.sh
Код: выделить все
#!/bin/sh
case "$1" in
start)
cd /home/stuk/ircd/bin
su stuk -c './ircd'
;;
stop)
killall ircd
;;
esac


root@stuk:/root# /usr/local/etc/rc.d/ircd.sh
/usr/local/etc/rc.d/ircd.sh: Command not found.

---
что не так?
---
разобрался, ошибка была из-за виндового редактора
Изображение
Stuk
флудит форум
 
Сообщений: 63
Зарегистрирован: Пт авг 17, 2007 6:21 pm

Сообщение torrentmonster » Сб май 24, 2008 11:37 am

Уважаемые возник вопрос, подскажите пожалуйста.
У меня установленный xbtt трекер, валяется в папке root-a.
Во первых инетресно смогу ли я стартануть приведеный ниже скрипт из под другого пользователя, чтобы процесс не из под рута шел
, и второй вопрос, возможно ли применить данный скрипт для решения проблемы старта моего приложения (в данном случае xbtt) ?
К примеру видно что по дефолту автор скрипта ставит нахождение приложения в папке веб-сервера, могу ли я стартовать этот скрипт если у меня приложение валяется в папке рута ?

Сорри за нубские вопросы :(

Код: выделить все
#!/bin/sh
#
# Simple shell script to run the XBT Tracker
#
# A simple hack of an existing Debian GNU/Linux /etc/init.d/* script
#

set -e

# *** CHANGE THE BELOW DEFAULT VALUES TO REFLECT YOUR SYSTEM ***

# Defaults
TRACKERDIR=/home/www/tracker
DAEMON=/usr/local/bin/xbt_tracker
CONFFILE=/home/www/tracker/xbt_tracker.conf
PIDFILE=/home/www/tracker/xbt_tracker.pid
USER=tracker

# Sanity checks -- note you'll get no output from the first two if they error!
test -f $DAEMON || exit 0
test -r $CONFFILE || exit 0

if ! id $USER >/dev/null 2>&1 then
      echo "$0: $USER user does not exist! You probably should run this as a regular user or your Apache user."
      exit 1
fi

# Insist the config file is chmod 600 and owned by the correct user
if [ "`stat -c '%U %a' $CONFFILE 2>/dev/null`" != "$USER 600" ]; then
      chown -h $USER $CONFFILE
      chmod -f 0600 $CONFFILE
fi

case "$1" in
      start)
            echo -n "Starting BitTorrent tracker: XBT Tracker"
            if start-stop-daemon -S -q -p $PIDFILE -x $DAEMON -u $USER -a /bin/su -- -c "cd $TRACKERDIR; $DAEMON" $USER; then
                  echo "."
            else
                  echo " (failed)."
                  exit 1
            fi
;;
      stop)
            echo -n "Stopping BitTorrent tracker: XBT Tracker"
            if start-stop-daemon -K -o -q -p $PIDFILE -x $DAEMON -u $USER; then
                  echo "."
            else
                  echo " (failed)."
                  exit 1
            fi
;;
      force-reload|restart)
            echo -n "Restarting BitTorrent tracker: XBT Tracker"
            if ! start-stop-daemon -K -o -q -p $PIDFILE -x $DAEMON -u $USER; then
                  echo " (failed on stop)."
                  exit 1
            fi
            sleep 1
            if start-stop-daemon -S -q -p $PIDFILE -x $DAEMON -u $USER -a /bin/su -- -c "cd $TRACKERDIR; $DAEMON" $USER; then
                  echo "."
            else
                  echo " (failed on start)."
                  exit 1
            fi
;;
      *)
            echo "Usage: /etc/init.d/xbtt {start|stop|restart|force-reload}"
            echo "  start - starts XBT Tracker service"
            echo "  stop  - stops XBT Tracker service"
            echo "  restart, force-reload - starts a new XBT Tracker service"
            exit 1
;;
esac

exit 0


Заранее всем признателен за подсказки.
torrentmonster
 
Сообщений: 6
Зарегистрирован: Сб май 17, 2008 9:59 pm
Откуда: Самара

Сообщение torrentmonster » Вс май 25, 2008 1:59 am

andry писал(а):
кстати проверить работоспособность достаточно просто и без перезагрузки:
sh /usr/local/etc/rc.d/ircd_bnc.sh start
и
sh /usr/local/etc/rc.d/ircd_bnc.sh stop


Народ сделал как написанно выше скрипт (ради эксперимента, так как более подробный скрипт выдает точно такую же ошибку).
Так вот проблема в том что при наборе ниже следующей команды:

/etc/init.d/tracker.sh start

появляется вот такое сообщение:

Изображение

Уважаемые подскажите пожалуйста что не так у меня ?
Такая же проблема у меня и с скриптом который описан мной выше.
torrentmonster
 
Сообщений: 6
Зарегистрирован: Сб май 17, 2008 9:59 pm
Откуда: Самара

Сообщение darkk » Вс май 25, 2008 7:26 am

dos2unix на него натравите, у вас переводы строк "в стиле DOS", а не "в стиле unix"
darkk
Advanced customer
 
Сообщений: 263
Зарегистрирован: Пн апр 11, 2005 6:20 am

Сообщение torrentmonster » Вс май 25, 2008 1:39 pm

darkk писал(а):dos2unix на него натравите, у вас переводы строк "в стиле DOS", а не "в стиле unix"

darkk спасибо за ответ, очень помогло. Действительно проблема была в том что я создавал документ под виндой.

Попробую все свести в единое и описать то что получилось.
Задача: Создать скрипт который стартовал бы каждый раз при перезагрузке сервера.

1. Итак выше приведеный листинг скрипта (который большой) был загружен
по пути /etc/init.d/

Примечание:
Если Вы набираете скрипт под виндой не забудьте использовать программу

DOS2UNIX.EXE
------------
To convert a file from MS-DOS to Unix format, DOS2UNIX.EXE is executed using
the syntax:
DOS2UNIX <file to be converted>
for example:
DOS2UNIX dosdata.txt

------------
2. Далее я проверил скрипт на старт, /etc/init.d/xbtt start,
Прошу обратить внимание что в выше приведеном скрипте есть ошибка ..
Вместо этого:
Код: выделить все
if ! id $USER >/dev/null 2>&1 then


пишем это
Код: выделить все
if ! id $USER >/dev/null 2>&1; then


все остальное должно пройти нормально, без ошибок.
Теперь нам нужно прописать данный скрипт в автозапуск,
делается это следующим образом:

1. cd /etc/init.d
2. update-rc.d xbtt defaults

После перезагрузки Ваш трекер стартует автоматически и Вы видете его в процессах через VDS менеджер.

Осталась только одна проблема не решеная мной, при перезагрузке сервера и после старта трекера у меня не стартует как минимум Apache и ISP панель :( . Предполагаю что проблема в том что я стартую трекер из под roota.

Если у кого какие есть идеи подскажите пожалуйста. Всем спасибо.
torrentmonster
 
Сообщений: 6
Зарегистрирован: Сб май 17, 2008 9:59 pm
Откуда: Самара

Пред.

Вернуться в IRC

Кто сейчас на форуме

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 2